FlowRunEntity (Apache Hadoop YARN API 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.records.timelineservice, class: FlowRunEntity

Package org.apache.hadoop.yarn.api.records.timelineservice

# Class FlowRunEntity

java.lang.Object
org.apache.hadoop.yarn.api.records.timelineservice.TimelineEntity
org.apache.hadoop.yarn.api.records.timelineservice.HierarchicalTimelineEntity
org.apache.hadoop.yarn.api.records.timelineservice.FlowRunEntity

All Implemented Interfaces:
  `Comparable<TimelineEntity>`

@Public @Unstable public class FlowRunEntity extends HierarchicalTimelineEntity
This entity represents a flow run.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.hadoop.yarn.api.records.timelineservice.TimelineEntity

  `TimelineEntity.Identifier`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `FLOW_NAME_INFO_KEY`
  `static final String`
  `FLOW_RUN_END_TIME`
  `static final String`
  `FLOW_RUN_ID_INFO_KEY`
  `static final String`
  `FLOW_VERSION_INFO_KEY`
  `static final String`
  `USER_INFO_KEY`

  ### Fields inherited from class org.apache.hadoop.yarn.api.records.timelineservice.HierarchicalTimelineEntity

  `CHILDREN_INFO_KEY, PARENT_INFO_KEY`

  ### Fields inherited from class org.apache.hadoop.yarn.api.records.timelineservice.TimelineEntity

  `DEFAULT_ENTITY_PREFIX, SYSTEM_INFO_KEY_PREFIX`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FlowRunEntity()`
  `FlowRunEntity(TimelineEntity entity)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getId()`
  `long`
  `getMaxEndTime()`
  `String`
  `getName()`
  `long`
  `getRunId()`
  `Long`
  `getStartTime()`
  `String`
  `getUser()`
  `String`
  `getVersion()`
  `void`
  `setMaxEndTime(long endTime)`
  `void`
  `setName(String name)`
  `void`
  `setRunId(long runId)`
  `void`
  `setStartTime(long startTime)`
  `void`
  `setUser(String user)`
  `void`
  `setVersion(String version)`

  ### Methods inherited from class org.apache.hadoop.yarn.api.records.timelineservice.HierarchicalTimelineEntity

  `addChild, addChild, addChildren, getChildren, getParent, setChildren, setParent, setParent`

  ### Methods inherited from class org.apache.hadoop.yarn.api.records.timelineservice.TimelineEntity

  `addConfig, addConfigs, addEvent, addEvents, addInfo, addInfo, addIsRelatedToEntities, addIsRelatedToEntity, addMetric, addMetrics, addRelatesToEntities, addRelatesToEntity, compareTo, equals, getConfigs, getConfigsJAXB, getCreatedTime, getEvents, getIdentifier, getIdPrefix, getInfo, getInfoJAXB, getIsRelatedToEntities, getIsRelatedToEntitiesJAXB, getMetrics, getReal, getRelatesToEntities, getRelatesToEntitiesJAXB, getType, hashCode, isValid, setConfigs, setCreatedTime, setEvents, setId, setIdentifier, setIdPrefix, setInfo, setIsRelatedToEntities, setMetrics, setRelatesToEntities, setType, setUID, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### USER_INFO_KEY

    public static final String USER_INFO_KEY
    See Also:
      - Constant Field Values

  - ### FLOW_NAME_INFO_KEY

    public static final String FLOW_NAME_INFO_KEY
    See Also:
      - Constant Field Values

  - ### FLOW_VERSION_INFO_KEY

    public static final String FLOW_VERSION_INFO_KEY
    See Also:
      - Constant Field Values

  - ### FLOW_RUN_ID_INFO_KEY

    public static final String FLOW_RUN_ID_INFO_KEY
    See Also:
      - Constant Field Values

  - ### FLOW_RUN_END_TIME

    public static final String FLOW_RUN_END_TIME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### FlowRunEntity

    public FlowRunEntity()

  - ### FlowRunEntity

    public FlowRunEntity(TimelineEntity entity)

- ## Method Details

  - ### getId

    public String getId()
    Overrides:
      `getId` in class `TimelineEntity`

  - ### getUser

    public String getUser()

  - ### setUser

    public void setUser(String user)

  - ### getName

    public String getName()

  - ### setName

    public void setName(String name)

  - ### getVersion

    public String getVersion()

  - ### setVersion

    public void setVersion(String version)

  - ### getRunId

    public long getRunId()

  - ### setRunId

    public void setRunId(long runId)

  - ### getStartTime

    public Long getStartTime()

  - ### setStartTime

    public void setStartTime(long startTime)

  - ### getMaxEndTime

    public long getMaxEndTime()

  - ### setMaxEndTime

    public void setMaxEndTime(long endTime)